To update one or more attributes of a specific Device Type please make a PUT request to the following URL:
HTTP Method URL PUT https://industrial.api.ubidots.com/api/v2.0/device_types/<device_type_key>/
Parameter Type Description device_type_key String The id or label of the Device Type, label should use the prefix ~
Parameter Type Use Description token String Authentication Authentication Token can optionally be sent as a query parameter. update_devices Boolean Update Apply changes to all devices under thee Device type apply_tasks Boolean Run tasks Run tasks for all devices under the Device type
Parameter Type Required? Default Value Description name String No N/A (required) Name of Device Type label String No slug(label) Label of Device Type description String No ""Description of Device Type deviceColor String No ""HTML Color of Device related to Device Type deviceIcon String No ""Icon of Device related to Device Type variableColor String No ""Color of Variable related to Device Type syntheticVariableColor String No ""Color of Synthetic Variable related to Device Type variables Object No []Variables related to Device Type properties Object No []Properties of Device Type tasks Object No []Tasks of Device Type
cURL (Request)
$ curl -X PUT 'https://industrial.api.ubidots.com/api/v2.0/device_types/<device_type_key>/' \
-H 'Content-Type: application/json' \
-H 'X-Auth-Token: oaXBo6ODhIjPsusNRPUGIK4d72bc73'
-d ' {
"name": "el type aquel",
"label": "el-type-quel",
"description": "La description aquella",
"deviceColor": "#3BA9F5",
"deviceIcon": "pencil",
"variableColor": "#FFAE58",
"syntheticVariableColor": "#",
"variables": [],
"properties": [],
"tasks": []
}'
200 OK 400 Bad Request 401 Unauthorized
{
"url": "https://industrial.api.ubidots.com/api/v2.0/device_types/5e1f7e5789f9bd7c4e7f1e2c",
"id": "5e1f7e5789f9bd7c4e7f1e2c",
"name": "el type aquel",
"label": "el-type-quel",
"description": "La description aquella",
"deviceColor": "#3BA9F5",
"deviceIcon": "pencil",
"variableColor": "#FFAE58",
"syntheticVariableColor": "#",
"variables": [],
"properties": [],
"tasks": [],
"createdAt": "2020-01-15T21:04:23.602975Z"
}{
"code": 400001,
"message": "Validation Error.",
"detail": {
....
}
}{
"code": 401001,
"message": "Authentication credentials were not provided.",
"detail": "Authentication credentials were not provided."
}
Returns a Device Type object with the updated Device Type.